#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces

# import packages


#
# Custom string constants
#

# Custom permission which is never granted to any user
FORBIDDEN_PERMISSION = 'system.forbidden'

# public permission is granted to every principal
PUBLIC_PERMISSION = 'public'

# view permission is a custom permission used to view contents
VIEW_PERMISSION = 'view'

# permission used to manage basic informations
# this permission is generally not used by custom contents
MANAGE_PERMISSION = 'manage'

# permission used to access management screens
VIEW_SYSTEM_PERMISSION = 'system.view'

# permission used to manage system settings
MANAGE_SYSTEM_PERMISSION = 'system.manage'

# permission used to manage security settings
MANAGE_SECURITY_PERMISSION = 'security.manage'

# permission used to manage roles
MANAGE_ROLES_PERMISSION = 'security.manage_roles'


# ZODB application name settings key
PYAMS_APPLICATION_SETTINGS_KEY = 'pyams.application_name'

# ZODB default application name
PYAMS_APPLICATION_DEFAULT_NAME = 'application'

# Settings key to define site root factory
PYAMS_APPLICATION_FACTORY_KEY = 'pyams.application_factory'


class MissingRequestError(Exception):
    """Error raised when no request is available"""
